openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/MSS_GET_FILESZHIST:
    post:
      tags:
      - SFMSS_SIZE
      summary: Get the table size history for a given table
      operationId: /rfc/MSS_GET_FILESZHIST
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CON_NAME:
                  type: string
                  default: DEFAULT
                  maxLength: 30
                  description: Logical name for a database connection
                SCHEMA:
                  type: string
                  default: ' '
                  maxLength: 128
                  description: Schema name
                FLSZHIST_LIST_D:
                  type: array
                  items:
                    type: object
                    properties:
                      DATE:
                        type: string
                        format: date
                        description: Date
                      TIME:
                        type: string
                        maxLength: 6
                        description: Time
                      LOGFILENA:
                        type: string
                        maxLength: 128
                        description: Logical file name
                      PHYFILENA:
                        type: string
                        maxLength: 520
                        description: Physical file name (full path) of the database file.
                      FILEGRPNA:
                        type: string
                        maxLength: 128
                        description: Filegroup name
                      DEVFREE:
                        type: integer
                        format: int64
                        description: Free space left on file system (partition) in MB.
                      DBGROWTH:
                        type: string
                        maxLength: 8
                        description: File growth step configured in SQL Server.
                      FLSIZEMB:
                        type: integer
                        format: int64
                        description: File size in MB.
                      USEDSIZEMB:
                        type: string
                        maxLength: 10
                        description: Used space in database file (in extents = 64kB or in MB).
                      MAX_SIZE:
                        type: string
                        maxLength: 10
                        description: File size limit in MB configured in SQL Server.
                FLSZHIST_LIST_M:
                  type: array
                  items:
                    type: object
                    properties:
                      DATE:
                        type: string
                        format: date
                        description: Date
                      TIME:
                        type: string
                        maxLength: 6
                        description: Time
                      LOGFILENA:
                        type: string
                        maxLength: 128
                        description: Logical file name
                      PHYFILENA:
                        type: string
                        maxLength: 520
                        description: Physical file name (full path) of the database file.
                      FILEGRPNA:
                        type: string
                        maxLength: 128
                        description: Filegroup name
                      DEVFREE:
                        type: integer
                        format: int64
                        description: Free space left on file system (partition) in MB.
                      DBGROWTH:
                        type: string
                        maxLength: 8
                        description: File growth step configured in SQL Server.
                      FLSIZEMB:
                        type: integer
                        format: int64
                        description: File size in MB.
                      USEDSIZEMB:
                        type: string
                        maxLength: 10
                        description: Used space in database file (in extents = 64kB or in MB).
                      MAX_SIZE:
                        type: string
                        maxLength: 10
                        description: File size limit in MB configured in SQL Server.
                FLSZHIST_LIST_W:
                  type: array
                  items:
                    type: object
                    properties:
                      DATE:
                        type: string
                        format: date
                        description: Date
                      TIME:
                        type: string
                        maxLength: 6
                        description: Time
                      LOGFILENA:
                        type: string
                        maxLength: 128
                        description: Logical file name
                      PHYFILENA:
                        type: string
                        maxLength: 520
                        description: Physical file name (full path) of the database file.
                      FILEGRPNA:
                        type: string
                        maxLength: 128
                        description: Filegroup name
                      DEVFREE:
                        type: integer
                        format: int64
                        description: Free space left on file system (partition) in MB.
                      DBGROWTH:
                        type: string
                        maxLength: 8
                        description: File growth step configured in SQL Server.
                      FLSIZEMB:
                        type: integer
                        format: int64
                        description: File size in MB.
                      USEDSIZEMB:
                        type: string
                        maxLength: 10
                        description: Used space in database file (in extents = 64kB or in MB).
                      MAX_SIZE:
                        type: string
                        maxLength: 10
                        description: File size limit in MB configured in SQL Server.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  FLSZHIST_LIST_D:
                    type: array
                    items:
                      type: object
                      properties:
                        DATE:
                          type: string
                          format: date
                          description: Date
                        TIME:
                          type: string
                          maxLength: 6
                          description: Time
                        LOGFILENA:
                          type: string
                          maxLength: 128
                          description: Logical file name
                        PHYFILENA:
                          type: string
                          maxLength: 520
                          description: Physical file name (full path) of the database file.
                        FILEGRPNA:
                          type: string
                          maxLength: 128
                          description: Filegroup name
                        DEVFREE:
                          type: integer
                          format: int64
                          description: Free space left on file system (partition) in MB.
                        DBGROWTH:
                          type: string
                          maxLength: 8
                          description: File growth step configured in SQL Server.
                        FLSIZEMB:
                          type: integer
                          format: int64
                          description: File size in MB.
                        USEDSIZEMB:
                          type: string
                          maxLength: 10
                          description: Used space in database file (in extents = 64kB or in MB).
                        MAX_SIZE:
                          type: string
                          maxLength: 10
                          description: File size limit in MB configured in SQL Server.
                  FLSZHIST_LIST_M:
                    type: array
                    items:
                      type: object
                      properties:
                        DATE:
                          type: string
                          format: date
                          description: Date
                        TIME:
                          type: string
                          maxLength: 6
                          description: Time
                        LOGFILENA:
                          type: string
                          maxLength: 128
                          description: Logical file name
                        PHYFILENA:
                          type: string
                          maxLength: 520
                          description: Physical file name (full path) of the database file.
                        FILEGRPNA:
                          type: string
                          maxLength: 128
                          description: Filegroup name
                        DEVFREE:
                          type: integer
                          format: int64
                          description: Free space left on file system (partition) in MB.
                        DBGROWTH:
                          type: string
                          maxLength: 8
                          description: File growth step configured in SQL Server.
                        FLSIZEMB:
                          type: integer
                          format: int64
                          description: File size in MB.
                        USEDSIZEMB:
                          type: string
                          maxLength: 10
                          description: Used space in database file (in extents = 64kB or in MB).
                        MAX_SIZE:
                          type: string
                          maxLength: 10
                          description: File size limit in MB configured in SQL Server.
                  FLSZHIST_LIST_W:
                    type: array
                    items:
                      type: object
                      properties:
                        DATE:
                          type: string
                          format: date
                          description: Date
                        TIME:
                          type: string
                          maxLength: 6
                          description: Time
                        LOGFILENA:
                          type: string
                          maxLength: 128
                          description: Logical file name
                        PHYFILENA:
                          type: string
                          maxLength: 520
                          description: Physical file name (full path) of the database file.
                        FILEGRPNA:
                          type: string
                          maxLength: 128
                          description: Filegroup name
                        DEVFREE:
                          type: integer
                          format: int64
                          description: Free space left on file system (partition) in MB.
                        DBGROWTH:
                          type: string
                          maxLength: 8
                          description: File growth step configured in SQL Server.
                        FLSIZEMB:
                          type: integer
                          format: int64
                          description: File size in MB.
                        USEDSIZEMB:
                          type: string
                          maxLength: 10
                          description: Used space in database file (in extents = 64kB or in MB).
                        MAX_SIZE:
                          type: string
                          maxLength: 10
                          description: File size limit in MB configured in SQL Server.
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
